### Method

# EDataServer SourceSelectable set_color

since: 3.6

#### Declaration [src]

    void
    e_source_selectable_set_color (
      ESourceSelectable* extension,
      const gchar* color
    )

#### Description [src]

Sets the color specification for the `ESource` to which `extension` belongs. A colored block is often displayed next to the data source’s display name in user interfaces.

The internal copy of `color` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.6

Sets property | `EDataServer.SourceSelectable:color`

#### Parameters

`color`

  Type: `const gchar*`

  A color specification, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.